package com.kingdee.eas.custom.entryconfig;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class DataConfigEntryCollection extends AbstractObjectCollection 
{
    public DataConfigEntryCollection()
    {
        super(DataConfigEntryInfo.class);
    }
    public boolean add(DataConfigEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(DataConfigEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(DataConfigEntryInfo item)
    {
        return removeObject(item);
    }
    public DataConfigEntryInfo get(int index)
    {
        return(DataConfigEntryInfo)getObject(index);
    }
    public DataConfigEntryInfo get(Object key)
    {
        return(DataConfigEntryInfo)getObject(key);
    }
    public void set(int index, DataConfigEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(DataConfigEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(DataConfigEntryInfo item)
    {
        return super.indexOf(item);
    }
}